Subject: RE: Trouble linking against vendor supplied DLL.
From: "Suhaib Siddiqi" <[email-masked]>
To: "Charles Krug Jr." <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 18 Nov 1999 17:42:19 -0500

> Summary:
>
> I Have:
> A. Universe.dll -- dynamic link library supplied by the
> hardware vendor.
>
> I need to create:
> B. libuniverse.a -- Cygwin compatible export library.
>
> If someone knows how to get from A to B, I'd appreciate
> knowing.  All
> the examples I've found seem to be working under the
> assumption that I
> have source code from which I want to create a dll and an export
> library.  I only need to create the export library from the dll.
>
>

There are plenty of examples in the mail archive.  you need to do
search.

pexport.exe you can use to make *.def file from dll or impgen.exe
from libtools to do the same
then use dlltools to generate libuniverse.a

> Charles
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]